Subject: Re: What I miss from Cogito...

From: Florian Weimer <[email-masked]>
Date: Sun, 23 Mar 2008 20:14:47 +0100

* Luciano Rocha:

>>         git show HEAD:$prefix$i > $i

> I use git checkout path ...
>
> Isn't that the same thing?

No, it restores the file version in the index.  "git checkout HEAD --
$path" should be the same.

Personally, I'm not all that happy with the multiple different meanings
of "git reset" and "git checkout", either.  Depending on the parameters,
the two comments manipulate both the contents of the working copy, or
the location at which the working copy is hooked in the history.  If we
need to have two separate commands for this, it would make more sense to
draw distinction between the two aspects, and not the mess we have now.
OTOH, it's probably too late for that.